﻿local Gnoll = _G.Gnoll

local function OnClick(self, button)
	if button == "LeftButton" then 
	Hauptfenster:Show() 
	end
	
end

local function OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 5)
	GameTooltip:SetText([[|cff00bfffGnoll|r]], 1, 1, 1)
end

local function OnLeave(self)
	GameTooltip:Hide()
end


local frame = CreateFrame("Button", "Gnoll_MiniMapButton", Minimap)
	frame:SetSize(31, 31)
	frame:SetFrameStrata("MEDIUM")
	frame:SetFrameLevel(8)

	point = { "CENTER", -65.35, -38.8 }
	frame:SetPoint(point[1], Minimap, point[3], point[4], point[5])

	frame:SetMovable(true)
	frame:SetScript("OnClick", OnClick)
	frame.overlay = frame:CreateTexture(nil, "OVERLAY")
	frame.overlay:SetSize(53, 53)
	frame.overlay:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder")
	frame.overlay:SetPoint("TOPLEFT")
	frame.background = frame:CreateTexture(nil, "BACKGROUND")
	frame.background:SetSize(20, 20)
	frame.background:SetTexture("Interface\\Minimap\\UI-Minimap-Background")
	frame.background:SetPoint("TOPLEFT", 7, -5)
	frame.icon = frame:CreateTexture(nil, "ARTWORK")
	frame.icon:SetSize(20, 20)
	frame.icon:SetTexture("Interface\\Minimap\\tracking\\Banker")
	frame.icon:SetPoint("TOPLEFT", 7, -6)
	frame:RegisterForDrag("LeftButton")
	frame:SetScript("OnDragStart", frame.StartMoving)
	frame:SetScript("OnDragStop", frame.StopMovingOrSizing)
	frame:SetScript("OnEnter", OnEnter)
	frame:SetScript("OnLeave", OnLeave)
